Installation

This chapter reviews a couple of different ways of installing PyGYRE on your system.

Pre-requisites

PyGYRE requires that the following Python packages are already present:

If you opt to install from PyPI (below), then these pre-requisites should be taken care of automatically.

Installing from PyPI

To install PyGYRE from the Python Package Index (PyPI), use the pip command:

pip install pygyre

If PyGYRE is already installed, you can upgrade to a more-recent version via

pip install --upgrade pygyre

Installing from Source

To install PyGYRE from source, download the source code and unpack it from the command line using the tar utility:

tar xf pygyre-1.4.tar.gz

Then, change into the source subdirectory of the newly created directory and run the setup.py: script:

cd pygyre-1.4/source
python setup.py install